Page MenuHomePhabricator

Adapt test to be compatible with AIX
ClosedPublic

Authored by Jake-Egan on Dec 13 2021, 7:01 PM.

Details

Summary

This patch updates the following test, which is falling to match ASM lines on AIX for two reasons:

  • .debug_info is mapped to .dwinfo, so the test fails to match debug_info before DW_TAG_label occurs
  • AIX uses inline strings, so DW_AT_NAME format is different and does not match DW_AT_decl_file in the next line.

Diff Detail

Event Timeline

Jake-Egan requested review of this revision.Dec 13 2021, 7:01 PM
Jake-Egan created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptDec 13 2021, 7:01 PM
Jake-Egan edited the summary of this revision. (Show Details)Dec 13 2021, 7:11 PM
Jake-Egan added reviewers: shchenz, stevewan.
shchenz added inline comments.Dec 13 2021, 8:45 PM
llvm/test/DebugInfo/Generic/debug-label.ll
20

Can we use a RE to match both debug_info and dwinfo? Section name should be with more sense than cu_begin0?

Jake-Egan updated this revision to Diff 394232.Dec 14 2021, 6:26 AM
Jake-Egan edited the summary of this revision. (Show Details)

Use RE to match debug_info or dwinfo.

Jake-Egan marked an inline comment as done.Dec 14 2021, 6:27 AM
shchenz accepted this revision.Dec 14 2021, 4:14 PM

LGTM. Thanks

This revision is now accepted and ready to land.Dec 14 2021, 4:14 PM
This revision was landed with ongoing or failed builds.Dec 16 2021, 9:35 AM
This revision was automatically updated to reflect the committed changes.